Bug 38459 - Ability to disable the creation of ~/.recently-used
Summary: Ability to disable the creation of ~/.recently-used
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Recent-Document-List User-Profile
  Show dependency treegraph
 
Reported: 2011-06-18 23:12 UTC by sworddragon2
Modified: 2019-04-08 15:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2011-06-18 23:12:06 UTC
Every time if I open an already existing document with writer the file ~/.recently-used is created as a history. I tried to disable the creation of this file but I haven't found any information how to do this. So it seems there isn't a way to do this (the problem existed already in OpenOffice).
Comment 1 Jean-Baptiste Faure 2011-06-19 00:10:00 UTC
Not sure if it is a bug nor if it is on the LibreOffice side.
Changed to enhancement.
Comment 2 Björn Michaelsen 2011-12-23 12:24:35 UTC Comment hidden (obsolete)
Comment 3 sworddragon2 2011-12-24 13:48:39 UTC
I can't test this because LibreOffice 3.5.0 Beta 2 doesn't start as non-root. I doesn't even find the path there the configuration files of this version are stored. I will test this and all other of my tickets if there is an official release in the Ubuntu repository.
Comment 4 sworddragon2 2012-01-14 01:44:26 UTC
LibreOffice 3.5.0 Beta 2 is in the Ubuntu repository so I could test this now. But ~/.recently-used is still created in this version and it seems there is no option to disable this.
Comment 5 bfoman (inactive) 2013-03-10 00:18:35 UTC
This could be implemented as part of Recently Used Files list enhancement in bug 61174, point 1 (?).
Comment 6 Gabor Kelemen 2019-04-08 15:13:55 UTC
Support for creating that file was dropped recently in bug #122114 

https://cgit.freedesktop.org/libreoffice/core/commit/?id=af19a3cc6aa352643d4f728e722945903a5556b3

I guess this is worth now a wontfix.